Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Errors after installation OSC 2.3.2


faktor

Recommended Posts

I'm completly new to the OSC so 'hello world'. After installing OSC 2.3.3 I encountered some problems.

 

First of all there was this $language problem in application_top.php (both public and admin) - just made it 'english" where needed. Will it affect later language choices? What about a value taken from web browser?

 

Second and most important, after dealing with above-mentioned and some array type casting, I found out that in neither categories' box nor admin panel there are categories listed even though there are 21 of them added by default in the database as well as 28 exemplary products which number, on the other hand, appears in the categories' box in brackets just after '->'.

 

Every attempt of adding new category ends with "Please insert a new category or product in this level.".

 

I haven't found solution yet and that drives me crazy since I assume it's a silly oversight of mine. Could anyone help me fix it?

 

//

WAMP 2.2, Apache 2.2.22, PHP 5.4.3

Link to comment
Share on other sites

@@DunWeb

 

I guess You where right. I've switched to Apache 2.0.63, PHP 4.4.9 and everything is as it should be now.

 

For others lost&confused - using older versions with MySQL 5< may cause OSC shout something like this while installing:

Client does not support authentication protocol requested by server; consider upgrading MySQL client

 

just type in MySQL console as follows:

 

USE mysql;

 

UPDATE user SET password = old_password('*password*') WHERE user = '*user*';

 

FLUSH PRIVILEGES;

 

Googled that one. Worked.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...